<mat-card class="demo-card demo-basic">
    <mat-card-title class="mat-display-5" color="primary">Registra un nuovo cliente</mat-card-title>
    <br>
    <br>
    <mat-card-content> 
      <p>
        <mat-form-field>
          <mat-label>Ragione Sociale</mat-label>
          <input matInput [(ngModel)]="person.name" [formControl]="requiredVaildator1" required>
          <mat-error>Questo campo è obbligatorio</mat-error>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Indirizzo</mat-label>
            <input matInput [(ngModel)]="person.address" [formControl]="requiredVaildator2" required>
            <mat-error>Questo campo è obbligatorio</mat-error>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Città</mat-label>
            <input matInput [(ngModel)]="person.city" [formControl]="requiredVaildator3" required>
            <mat-error>Questo campo è obbligatorio</mat-error>
        </mat-form-field>

      </p>
      <mat-form-field>
          <mat-label>Codice Postale</mat-label>
          <input matInput #postalCode maxlength="5" [(ngModel)]="person.cap">
          <mat-hint align="end">{{postalCode.value.length}} / 5</mat-hint>
          <mat-error>Questo campo è obbligatorio</mat-error>
      </mat-form-field>

      <mat-form-field>
          <mat-label>Partita Iva/Codice Fiscale</mat-label>
          <input matInput [(ngModel)]="person.piva" required [formControl]="requiredVaildator5">
          <mat-error>Questo campo è obbligatorio</mat-error>
      </mat-form-field>

      <mat-form-field>
          <mat-label>Telefono</mat-label>
          <input matInput type="tel" maxlength="10" [(ngModel)]="person.phone">
          <mat-error>Questo campo è obbligatorio</mat-error>
      </mat-form-field>

        <mat-form-field>
            <mat-label>Email</mat-label>
            <input matInput [(ngModel)]="person.email" type="email" [formControl]="emailFormControl">
            <mat-error *ngIf="emailFormControl.hasError('pattern')">
              Il formato deve essere <i>mario.rossi@mail.it</i>
            </mat-error>
        </mat-form-field>

        <p>
          <mat-form-field class="form_note">
            <textarea matInput [(ngModel)]="person.note" placeholder="Note" matTextareaAutosize matAutosizeMinRows="2"
                      matAutosizeMaxRows="5"></textarea>
          </mat-form-field>
        </p>

    </mat-card-content>
    <button mat-raised-button disabled *ngIf="requiredVaildator1.invalid || requiredVaildator2.invalid ||
    requiredVaildator3.invalid || requiredVaildator5.invalid || emailFormControl.invalid">Salva Modifica</button>
    <button mat-raised-button color="primary" *ngIf="!requiredVaildator1.invalid && !requiredVaildator2.invalid &&
    !requiredVaildator3.invalid && !requiredVaildator5.invalid && !emailFormControl.invalid" (click)="update()">Salva Modifica</button>
    <button mat-raised-button (click)="close()">Annulla</button>
  </mat-card>